/*
#	Le livre de Java 1er langage
#	A. Tasso
#	Chapitre 8 : Les principes du concept objet
#	Section  : Le switch version Java 17
#	Fichier  : Forme.java
#	Class    : Forme
*/
public class Forme {

	protected int x, y ; 
	private int couleur; 
	public  Forme(){
    // Ecriture simplifier pour une meilleur compréhension de l'exemple
	}

     public double getPerimetre(){
        return switch (this) {
        	case Rectangle r -> 2 * r.getLongueur() + 2 * r.getLargeur();
            case Cercle c    -> 2 * c.getRayon() * Math.PI;
            default          -> -1;
        };
    }
}